# Class: MoneroCheckTx

## MoneroCheckTx()

Results from checking a transaction key.

## Constructor

#### new MoneroCheckTx()

Source:
  - src/main/js/wallet/model/MoneroCheckTx.js, line 9

### Extends

- MoneroCheck

### Methods

#### getNumConfirmations()

Source:
  - src/main/js/wallet/model/MoneroCheckTx.js, line 31

#### getReceivedAmount()

Source:
  - src/main/js/wallet/model/MoneroCheckTx.js, line 40

#### inTxPool()

Source:
  - src/main/js/wallet/model/MoneroCheckTx.js, line 22

#### isGood()

Overrides:
  - MoneroCheck#isGood
Source:
  - src/main/js/wallet/model/MoneroCheck.js, line 12

#### setInTxPool()

Source:
  - src/main/js/wallet/model/MoneroCheckTx.js, line 26

#### setIsGood()

Overrides:
  - MoneroCheck#setIsGood
Source:
  - src/main/js/wallet/model/MoneroCheck.js, line 16

#### setNumConfirmations()

Source:
  - src/main/js/wallet/model/MoneroCheckTx.js, line 35

#### setReceivedAmount()

Source:
  - src/main/js/wallet/model/MoneroCheckTx.js, line 44

#### toJson()

Source:
  - src/main/js/wallet/model/MoneroCheckTx.js, line 16